Vla-get-isperiodic

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-isperiodic vla-object ' ' )


機能
指定されたスプラインが周期的スプラインかどうかを決定する。


引数
  • vla-object … SplineのVLAオブジェクト


戻り値
ブール型
  •  :vlax-True: 周期的スプライン。
  •  :vlax-False: 周期的スプラインではない。


サンプル
(vl-load-com)
(defun c:Example_IsPeriodic()
    ;; スプラインを作成して 周期的スプラインかどうかを返す
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; スプラインの定義
    (setq startTan (vlax-3d-point 0.5 0.5 0)
          endTan (vlax-3d-point 0.5 0.5 0)
          fitPoints (vlax-make-safearray vlax-vbDouble '(0 . 8)))
    (vlax-safearray-fill fitPoints '(0 0 0
				     5 5 0
				     10 0 0
				    )
    )
    
    ;; スプラインを作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan))
    (vla-ZoomAll acadObj)
    
    ;; 周期的スプラインかどうか取得
    (setq UserMessage (if (= (vla-get-IsPeriodic splineObj) :vlax-true) "周期的スプライン" "周期的スプラインじゃない"))
    
    (alert (strcat "新しいスプラインは " UserMessage))
)

関連事項